?

Log in

No account? Create an account

Oh man

Feb. 1st, 2006 | 04:20 pm

I wanted to be in the parallel universe with the rest of the cool kids. Read more...Collapse )

Link | Leave a comment {2} |

Hey McAfee

Feb. 1st, 2006 | 08:24 pm

Bite me. Take your IE requirement and shove it. I'm not violently anti-IE like some,  it just doesn't offer the kind of browsing experience I want. But to be honest, I can't remember the last time I visited a site that required me to use IE. So for forcing me to fire up IE to download your stupid update, I say again, Bite Me.

Link | Leave a comment |